Package org.eclipse.birt.report.model.api

# Class ColumnBandData

java.lang.Object
org.eclipse.birt.report.model.api.ColumnBandData

All Implemented Interfaces:
  `Cloneable`

public class ColumnBandData extends Object implements Cloneable
Represents the data structure to store copied objects like the column and cells.

## Method Summary

Modifier and Type
Method
Description
`protected Object`
`clone()`
`ColumnBandData`
`copy()`
Deeply clones the column band data.
`protected List`
`getCells()`
Returns cells after the copy operation.
`protected org.eclipse.birt.report.model.elements.TableColumn`
`getColumn()`
Returns the copied column.

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getColumn

protected org.eclipse.birt.report.model.elements.TableColumn getColumn()
Returns the copied column.

Returns:
  the copied column.

### getCells

protected List getCells()
Returns cells after the copy operation.

Returns:
  a list containing cells. Each element in the list is a `CellContextInfo`.

### clone

protected Object clone() throws CloneNotSupportedException

Overrides:
  `clone` in class `Object`
Throws:
  `CloneNotSupportedException`

### copy

public ColumnBandData copy()
Deeply clones the column band data.

Returns:
  the copy of the column band data